Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.classic
Interface Validatable

    public interface Validatable

Implemented by persistent classes with invariants that must be checked before inserting into or updating the database.

Author:
  Gavin King

Method Summary
`void` | `validate()` Validate the state of the object before persisting it.

Method Detail

### validate

    void validate()
                  throws ValidationFailure

  Validate the state of the object before persisting it. If a violation occurs, throw a `ValidationFailure`. This method must not change the state of the object by side-effect.

  Throws:
    `ValidationFailure` - if an invariant is violated

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.